Skip to content
Start here

Enable or Disable Total TLS

acm.total_tls.update(TotalTLSUpdateParams**kwargs) -> TotalTLSUpdateResponse
POST/zones/{zone_id}/acm/total_tls

Set Total TLS Settings or disable the feature for a Zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
SSL and Certificates Write
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
enabled: bool

If enabled, Total TLS will order a hostname specific TLS certificate for any proxied A, AAAA, or CNAME record in your zone.

certificate_authority: Optional[CertificateAuthority]

The Certificate Authority that Total TLS certificates will be issued through.

One of the following:
"google"
"lets_encrypt"
"ssl_com"
ReturnsExpand Collapse
class TotalTLSUpdateResponse:
certificate_authority: Optional[CertificateAuthority]

The Certificate Authority that Total TLS certificates will be issued through.

One of the following:
"google"
"lets_encrypt"
"ssl_com"
enabled: Optional[bool]

If enabled, Total TLS will order a hostname specific TLS certificate for any proxied A, AAAA, or CNAME record in your zone.

validity_period: Optional[Literal[90]]

The validity period in days for the certificates ordered via Total TLS.

Enable or Disable Total TLS

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
total_tls = client.acm.total_tls.update(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
    enabled=True,
)
print(total_tls.validity_period)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "certificate_authority": "google",
    "enabled": true,
    "validity_period": 90
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "certificate_authority": "google",
    "enabled": true,
    "validity_period": 90
  }
}